import type { ShallowRef } from 'vue';
import type { Props, Emits } from '../type';
export declare const useRichEditor: (props: Props, emit: Emits, editorRef: ShallowRef<any>) => {
    richEditorStyle: import("vue").ComputedRef<{
        width: string | undefined;
    }>;
    richEditor: import("vue").Ref<HTMLElement | null, HTMLElement | null>;
    $toolbar: import("vue").Ref<any, any>;
    $editor: import("vue").Ref<any, any>;
    valueHtml: import("vue").WritableComputedRef<string, string>;
    toolbarInsertKeys: import("vue").ComputedRef<{
        index: number;
        keys: string[];
    } | undefined>;
    toolbarExcludeKeys: import("vue").ComputedRef<string[]>;
    editorImageAllowedFileTypes: import("vue").ComputedRef<string[]>;
    handleCreated: (editor: IDomEditor) => Promise<void>;
    customStyle: import("lodash").DebouncedFuncLeading<() => void>;
    handleChange: () => void;
    handleFocus: () => void;
    handleBlur: () => void;
};
